Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.api.permalink
Interface PermalinkProvider

All Known Implementing Classes:
  DefaultPermalinkProvider, PermalinkProviderSupport, ShortPermalinkProvider, TitlePermalinkProvider

    public interface PermalinkProvider

An interface implemented by any class that generates permalinks.

Author:
  Simon Brown

Method Summary
`Blog` | `getBlog()` Gets the blog associated with this provider instance.
`BlogEntry` | `getBlogEntry(java.lang.String uri)` Gets the blog entry referred to by the specified URI.
`Day` | `getDay(java.lang.String uri)` Gets the day referred to by the specified URI.
`Month` | `getMonth(java.lang.String uri)` Gets the monthly blog referred to by the specified URI.
`java.lang.String` | `getPermalink(BlogEntry blogEntry)` Gets the permalink for a blog entry.
`java.lang.String` | `getPermalink(Day day)` Gets the permalink for a day.
`java.lang.String` | `getPermalink(Month month)` Gets the permalink for a monthly blog.
`boolean` | `isBlogEntryPermalink(java.lang.String uri)` Determines whether the specified URI is a blog entry permalink.
`boolean` | `isDayPermalink(java.lang.String uri)` Determines whether the specified URI is a day permalink.
`boolean` | `isMonthPermalink(java.lang.String uri)` Determines whether the specified URI is a monthly blog permalink.
`void` | `setBlog(Blog blog)` Sets the blog associated with this provider instance.

Method Detail

### getBlog

    Blog getBlog()

  Gets the blog associated with this provider instance.

  Returns:
    a Blog instance

### setBlog

    void setBlog(Blog blog)

  Sets the blog associated with this provider instance.

  Parameters:
    `blog` - a Blog instance

### getPermalink

    java.lang.String getPermalink(BlogEntry blogEntry)

  Gets the permalink for a blog entry.

  Parameters:
    `blogEntry` - a BlogEntry instance
  Returns:
    a URI as a String

### isBlogEntryPermalink

    boolean isBlogEntryPermalink(java.lang.String uri)

  Determines whether the specified URI is a blog entry permalink.

  Parameters:
    `uri` - a relative URI
  Returns:
    true if the URI represents a permalink to a blog entry, false otherwise

### getBlogEntry

    BlogEntry getBlogEntry(java.lang.String uri)

  Gets the blog entry referred to by the specified URI.

  Parameters:
    `uri` - a relative URI
  Returns:
    a BlogEntry instance, or null if one can't be found

### getPermalink

    java.lang.String getPermalink(Month month)

  Gets the permalink for a monthly blog.

  Parameters:
    `month` - a Month instance
  Returns:
    a URI as a String

### isMonthPermalink

    boolean isMonthPermalink(java.lang.String uri)

  Determines whether the specified URI is a monthly blog permalink.

  Parameters:
    `uri` - a relative URI
  Returns:
    true if the URI represents a permalink to a monthly blog, false otherwise

### getMonth

    Month getMonth(java.lang.String uri)

  Gets the monthly blog referred to by the specified URI.

  Parameters:
    `uri` - a relative URI
  Returns:
    a Month instance, or null if one can't be found

### getPermalink

    java.lang.String getPermalink(Day day)

  Gets the permalink for a day.

  Parameters:
    `day` - a Day instance
  Returns:
    a URI as a String

### isDayPermalink

    boolean isDayPermalink(java.lang.String uri)

  Determines whether the specified URI is a day permalink.

  Parameters:
    `uri` - a relative URI
  Returns:
    true if the URI represents a permalink to a day, false otherwise

### getDay

    Day getDay(java.lang.String uri)

  Gets the day referred to by the specified URI.

  Parameters:
    `uri` - a relative URI
  Returns:
    a Day instance, or null if one can't be found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.